org.apache.cassandra.db

## Class CFRowAdder

- java.lang.Object
- - org.apache.cassandra.db.CFRowAdder

    public class CFRowAdder
    extends java.lang.Object

Convenience object to populate a given CQL3 row in a ColumnFamily object. This is meant for when performance is not of the utmost importance. When performance matters, it might be worth allocating such builder.

### Field Summary

Fields
`ColumnFamily` `cf`
`Composite` `prefix`
`long` `timestamp`
`int` `ttl`

### Constructor Summary

Constructors
Constructor and Description
`CFRowAdder(ColumnFamily cf, Composite prefix, long timestamp)`
`CFRowAdder(ColumnFamily cf, Composite prefix, long timestamp, int ttl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CFRowAdder` `add(java.lang.String cql3ColumnName, java.lang.Object value)`
`CFRowAdder` `addListEntry(java.lang.String cql3ColumnName, java.lang.Object value)`
`CFRowAdder` `addMapEntry(java.lang.String cql3ColumnName, java.lang.Object key, java.lang.Object value)`
`CFRowAdder` `resetCollection(java.lang.String cql3ColumnName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cf

    public final ColumnFamily cf

#### prefix

    public final Composite prefix

#### timestamp

    public final long timestamp

#### ttl

    public final int ttl

### Constructor Detail

#### CFRowAdder

    public CFRowAdder(ColumnFamily cf,
                      Composite prefix,
                      long timestamp)

#### CFRowAdder

    public CFRowAdder(ColumnFamily cf,
                      Composite prefix,
                      long timestamp,
                      int ttl)

### Method Detail

#### add

    public CFRowAdder add(java.lang.String cql3ColumnName,
                          java.lang.Object value)

#### resetCollection

    public CFRowAdder resetCollection(java.lang.String cql3ColumnName)

#### addMapEntry

    public CFRowAdder addMapEntry(java.lang.String cql3ColumnName,
                                  java.lang.Object key,
                                  java.lang.Object value)

#### addListEntry

    public CFRowAdder addListEntry(java.lang.String cql3ColumnName,
                                   java.lang.Object value)